<?php
// Inclui a classe necessária do SAJAX
require("Sajax.php");

// Cria uma função que será utilizada posteriormente pelo AJAX
// Pode ser feito uma inclusão de um arquivo com as funções 
// necessárias sem problema
function multiply($x, $y) {
    return $x * $y;
}

// Instancia a classe do AJAX
sajax_init();

// Se essa variável for "setada", habilita a opção de debug
// Eu costumo não utilizar e faço o debug via alert
// Para debugar o sajax: 0 = desligado 1 = ligado
$sajax_debug_mode = 0;

// Declara as funções que serão utilizadas pelo AJAX
// Nessa exemplo apenas a função chamada multiply (definida logo acima)
// Pode ser enviada pela mesma função várias declarações de função. Ex: sajax_export("multiply", "addplay", "subplay", "divplay");
sajax_export("multiply");

// Declaração obrigatória
sajax_handle_client_request();
?>
<html>
<head>
<title>Multiplier</title>
<script>
<?php
// Declaração obrigatória também
// É ela quem escreve os códigos Javascript necessários a aplicação
// Lembre-se que ela deve estar dentro da tag <script>
sajax_show_javascript();
?>

// Para cada função criada no PHP é preciso fazer 2 funções no JS
// A primeira função é para tratamento dos dados vindo do usuário
// E a segunda é para tratamento do dado retornado pelo PHP
// Qualquer nome pode ser utilizado para essas funções, mas procure seguir um padrão

// Essa função é chamada quando se clica no botão "Calculate" da aplicação
function do_multiply()
{
    var x, y;
    
    // Pega o valor do id chamado x do formulário
    // Em seguida pega o valor do campo de id chamado y
    x = document.getElementById("x").value;
    y = document.getElementById("y").value;
    
    // Essa função é responsável por chamar a função do PHP e enviar os resultados
    // O nome da função deve sempre ter prefixo x_
    // Como nossa função se chama "multiply", o nome dela fica "x_multiply"
    // Os primeiros parametros enviados são os necessários pela função PHP
    // Nossa função precisa de 2: o valor de x e de y. Nossa função em PHP é: multiply($x, $y)
    // O último parametro é a função em JS que vai interpretar o resultado
    x_multiply(x, y, do_multiply_cb);
}

// Essa função é responsável por interpretar os resultados vindos do PHP
// Quem declara que é essa função que vai interpretar os resultados é a função "do_multiply"
// A função PHP possui um valor de retorno. Esse valor estará na variável "z" da função JS
function do_multiply_cb(z)
{
    // Atribui o valor do retorno do PHP ao campo de id chamado z
    document.getElementById("z").value = z;
}
</script>
</head>

<body>
<input type="text" name="x" id="x" value="2" size="3">
*
<input type="text" name="y" id="y" value="3" size="3">
=
<input type="text" name="z" id="z" value="" size="3">
<input type="button" name="check" value="Calculate"
onclick="do_multiply(); return false;">
</body>
</html>
